Package org.eclipse.net4j.util

# Class StringParser.EnumStringParser<T extends Enum<T>>

java.lang.Object
org.eclipse.net4j.util.StringParser.EnumStringParser<T>

All Implemented Interfaces:
  `Function<String,T>`, `StringParser<T>`

Enclosing interface:
  `StringParser<T>`

public static final class StringParser.EnumStringParser<T extends Enum<T>> extends Object implements StringParser<T>

Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.StringParser

`StringParser.EnumStringParser<T extends Enum<T>>, StringParser.MetaFactory`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final boolean`
`DEFAULT_CASE_SENSITIVE`

### Fields inherited from interface org.eclipse.net4j.util.StringParser

`BIG_DECIMAL, BIG_INTEGER, BOOLEAN, BYTE, CHARACTER, DOUBLE, FILE, FLOAT, IDENTITY, INTEGER, LONG, PATH, PRODUCT_GROUP, SHORT`

## Constructor Summary

Constructors
Constructor
Description
`EnumStringParser(Class<T> enumType)`
`EnumStringParser(Class<T> enumType, boolean caseSensitive)`

## Method Summary

Modifier and Type
Method
Description
`T`
`apply(String str)`
`Class<T>`
`getEnumType()`
`boolean`
`isCaseSensitive()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Function

`andThen, compose`

### Methods inherited from interface org.eclipse.net4j.util.StringParser

`safe`

## Field Details

### DEFAULT_CASE_SENSITIVE

public static final boolean DEFAULT_CASE_SENSITIVE

See Also:
  - Constant Field Values

## Constructor Details

### EnumStringParser

public EnumStringParser(Class<T> enumType, boolean caseSensitive)

### EnumStringParser

public EnumStringParser(Class<T> enumType)

## Method Details

### getEnumType

public Class<T> getEnumType()

### isCaseSensitive

public boolean isCaseSensitive()

### apply

public T apply(String str)

Specified by:
  `apply` in interface `Function<String,T extends Enum<T>>`
Specified by:
  `apply` in interface `StringParser<T extends Enum<T>>`